Bug 567151 - Feature request: BTC Emprex Remote HID patch
Summary: Feature request: BTC Emprex Remote HID patch
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-21 22:23 UTC by Benjamin Hardill
Modified: 2010-12-03 22:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 22:31:35 UTC
Type: ---


Attachments (Terms of Use)

Description Benjamin Hardill 2010-02-21 22:23:37 UTC
Description of problem:
The BTC "Emprex 3009URF III Vista MCE Remote" has 6 keys with none standard scan codes so they are ignored by the HID keyboard driver

Version-Release number of selected component (if applicable):
2.6.31.12-174.2.3.fc12.i686

How reproducible:


Steps to Reproduce:
1. Plug in Emprex remote USB receiver
2. Press Big Green Start button
3.
  
Actual results:
Nothing

Expected results:
Scan code for KEY_MEDIA should be returned.

Additional info:
There is a patch for this available here:

http://patchwork.kernel.org/patch/70351/

I have tried to follow the udev solution mentioned at the bottom of the discussion but even using /lib/udev/keymap I get no response from the missing buttons, not even the "unknown" message.

usbmon has the following output for the various buttons:

# "Start/Media Button"
f1c08a80 0.508793 C Ii:2:006:2 0:8 7 = 030d0000 000000
f1c08a80 0.508816 S Ii:2:006:2 -:8 7 <
f1c08a80 0.684788 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 0.684800 S Ii:2:006:2 -:8 7 <
# "RecTV Button"
f1c08a80 5.612863 C Ii:2:006:2 0:8 7 = 03480000 000000
f1c08a80 5.612886 S Ii:2:006:2 -:8 7 <
f1c08a80 5.772861 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 5.772873 S Ii:2:006:2 -:8 7 <
# "LiveTV Button"
f1c08a80 7.148880 C Ii:2:006:2 0:8 7 = 03250000 000000
f1c08a80 7.148895 S Ii:2:006:2 -:8 7 <
f1c08a80 7.292881 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 7.292891 S Ii:2:006:2 -:8 7 <
# "DVDMenu Button"
f1c08a80 7.540885 C Ii:2:006:2 0:8 7 = 03240000 000000
f1c08a80 7.540899 S Ii:2:006:2 -:8 7 <
f1c08a80 7.708887 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 7.708897 S Ii:2:006:2 -:8 7 <
# "Music"
f1c08a80 8.380898 C Ii:2:006:2 0:8 7 = 03470000 000000
f1c08a80 8.380915 S Ii:2:006:2 -:8 7 <
f1c08a80 8.524900 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 8.524911 S Ii:2:006:2 -:8 7 <
# "Pictures"
f1c08a80 8.772900 C Ii:2:006:2 0:8 7 = 03490000 000000
f1c08a80 8.772911 S Ii:2:006:2 -:8 7 <
f1c08a80 8.940904 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 8.940917 S Ii:2:006:2 -:8 7 <
# "Video"
f1c08a80 9.236909 C Ii:2:006:2 0:8 7 = 034a0000 000000
f1c08a80 9.236922 S Ii:2:006:2 -:8 7 <
f1c08a80 9.404912 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 9.404925 S Ii:2:006:2 -:8 7 <
# "Radio"
f1c08a80 9.764916 C Ii:2:006:2 0:8 7 = 03500000 000000
f1c08a80 9.764928 S Ii:2:006:2 -:8 7 <
f1c08a80 9.932922 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 9.932939 S Ii:2:006:2 -:8 7 <
# "Teletex"
f1c08a80 11.148936 C Ii:2:006:2 0:8 7 = 035a0000 000000
f1c08a80 11.148952 S Ii:2:006:2 -:8 7 <
f1c08a80 11.348941 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 11.348956 S Ii:2:006:2 -:8 7 <
# "Red"
f1c08a80 11.924946 C Ii:2:006:2 0:8 7 = 035b0000 000000
f1c08a80 11.924959 S Ii:2:006:2 -:8 7 <
f1c08a80 12.140948 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 12.140961 S Ii:2:006:2 -:8 7 <
# "Green"
f1c08a80 12.500955 C Ii:2:006:2 0:8 7 = 035c0000 000000
f1c08a80 12.500968 S Ii:2:006:2 -:8 7 <
f1c08a80 12.700955 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 12.700965 S Ii:2:006:2 -:8 7 <
# "Yello"
f1c08a80 13.060965 C Ii:2:006:2 0:8 7 = 035d0000 000000
f1c08a80 13.060987 S Ii:2:006:2 -:8 7 <
f1c08a80 13.260965 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 13.260976 S Ii:2:006:2 -:8 7 <
# "Blue"
f1c08a80 13.892976 C Ii:2:006:2 0:8 7 = 035e0000 000000
f1c08a80 13.892991 S Ii:2:006:2 -:8 7 <
f1c08a80 14.084976 C Ii:2:006:2 0:8 7 = 03000000 000000
f1c08a80 14.084989 S Ii:2:006:2 -:8 7 <

Comment 1 Benjamin Hardill 2010-02-24 21:18:33 UTC
The patch mentioned above applies cleanly to the src rpm for 2.6.31.12-174.2.22.fc12.i686

Comment 2 Bug Zapper 2010-11-03 21:37:30 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-12-03 22:31:35 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.